## gt4f90io-g95 20060618+20060616

=== Makefile ===
#---------------------------------------------------------------------
#     Copyright (C) GFD Dennou Club, 2005. All rights reserved.
#---------------------------------------------------------------------
#= Makefile for gt4f90io top directory
#
# Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
# Version::   $Id: Makefile,v 1.9 2006/06/11 06:03:45 morikawa Exp $
# Tag Name::  $Name: gt4f90io-20060618 $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
# License::   See COPYRIGHT[link:COPYRIGHT]
#
#vi: set ts=8 sw=4:
#
######################################################################
#
#== Settings
#
# [JAPANESE] Ƽ

INCLUDEFILE = Config.mk
include $(INCLUDEFILE) # Include file              (optional)
                       # [JA] 󥯥롼ɥե (Ǥ)

GuideFiles = INSTALL HISTORY INSTALL_netcdf CREDITS
                       # Documentation located in top directory       (optional)
                       # ȥåץǥ쥯ȥ֤ɥȥե (Ǥ)

# End Settings  [JA] ܤޤ
######################################################################

######################################################################
#== Set GuideRDFiles
GuideRDFiles = $(GuideFiles:%=%.rd)
GuideJA      = $(GuideFiles:%=%.htm)
GuideEN      = $(GuideFiles:%=%.htm.en)

##########################################################################
#== Rules
#
all:
	cd src; $(MAKE) $@
	cd gt4frt; $(MAKE) $@

doc: guide
	cd src; $(MAKE) $@
	cd doc; $(MAKE)

install: all mkprefix
	cd src;    $(MAKE) $@
	cd gt4frt; $(MAKE) $@

mkprefix:
	test -d $(prefix) || $(INSTALLDIR) $(prefix)
	test -d $(exec_prefix) || $(INSTALLDIR) $(exec_prefix)

install-doc:
	cd doc ; $(MAKE) install
	$(INSTALL) $(GuideJA) $(GuideEN) $(GuideFiles) ChangeLog COPYRIGHT $(prefix)

clean:
	cd src; $(MAKE) $@
	cd gt4frt; $(MAKE) $@
	cd test; $(MAKE) $@

distclean: clean
	-rm -f config.status chkfort.cfg chkgmake.cfg
	-rm -f config.cache config.log Config.mk
	@echo ""
	@echo "    Removing Config.mk,"
	@echo "      you should rerun ./configure to build gt4f90io."
	@echo ""

clean-doc: clean-guide
	cd src; $(MAKE) $@
	cd doc; $(MAKE) clean

test-f: all
	cd test; $(MAKE) $@

test: all
	cd test; $(MAKE) $@

test-c: all
	cd test; $(MAKE) $@

test-installed:
	cd gt4frt; $(MAKE) $@

test-installed-c:
	cd gt4frt; $(MAKE) $@

tags:
	perl src/f90tags src/*.f90

guide:
	@for file in $(GuideFiles) ; do \
	    echo $(CP) $${file} $${file}.rd ;\
	    $(CP) $${file} $${file}.rd ;\
	done
	$(MAKE) -f Makefile.rd2html
	$(RM) $(GuideRDFiles)

clean-guide:
	@if [ ! X"$(wildcard $(GuideJA) $(GuideEN) $(GuideRDFiles))" = X"" ]; then \
	    echo $(RM) $(wildcard $(GuideJA) $(GuideEN) $(GuideRDFiles)) ;\
	    $(RM) $(wildcard $(GuideJA) $(GuideEN) $(GuideRDFiles)) ;\
	fi

cl:
	@cvs2cl.pl --help > /dev/null 2>&1 || \
	    echo -e \
		"\n" \
		"    cvs2cl.pl is not found.\n" \
		"    Please get from http://www.red-bean.com/cvs2cl/\n"
	@cvs2cl.pl --help > /dev/null 2>&1 && \
	    echo -e \
		"This file is generated automatically by\n" \
		"\n" \
		"    cvs2cl.pl -r -b -t --fsf -w --header <This header>\n" \
		"\n" \
		`cvs2cl.pl --version` "\n" \
		"This script is available from "      \
		"http://www.red-bean.com/cvs2cl/\n\n" \
		    | cvs2cl.pl -r -b -t --fsf -w --header -
	rm ChangeLog.bak
	@echo -e "\n" "ChangeLog is Updated." "\n"

create-configure:
	@if [ ! -x /usr/bin/autoconf ]; then \
		echo -n "autoconf(1) is not valid. "; \
		echo "This is \"configure\" Generater."; \
		exit 1; \
	fi
	@if [ ! -r configure.in ]; then \
		echo -n "configure.in is not exists or not readable. "; \
		echo "This file needed for creating \"configure\"."; \
		exit 1; \
	fi
	@if [ ! -r aclocal.m4 ]; then \
		echo -n "aclocal.m4 is not exists or not readable. "; \
		echo "This file needed for creating \"configure\"."; \
		exit 1; \
	fi
	/usr/bin/autoconf
	@echo "\"configure\" Generated."

=== doc/Makefile ===
#---------------------------------------------------------------------
#     Copyright (C) GFD Dennou Club, 2005. All rights reserved.
#---------------------------------------------------------------------
#= Makefile for gt4f90io documentation
#
# Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
# Version::   $Id: Makefile,v 1.8 2006/01/21 12:17:20 morikawa Exp $
# Tag Name::  $Name: gt4f90io-20060618 $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
# License::   See COPYRIGHT[link:../COPYRIGHT]
#
# in Config.mk, DEST_DOC is defined
#
######################################################################
#
#== Settings

INCLUDEFILE = ../Config.mk
include $(INCLUDEFILE)

# End Settings
######################################################################

######################################################################
#== Set variables
#

all: rd2html rdoc rdoc-dev
	cd tutorial ; $(MAKE) rd2html

rd2html:
	$(MAKE) -f Makefile.rd2html

rdoc:
	$(MAKE) -f Makefile.rdoc

rdoc-dev:
	$(MAKE) -f Makefile.rdoc-dev

install:
	test -d $(DEST_DOC) || $(INSTALLDIR) $(DEST_DOC)
	$(INSTALL) $(wildcard *.htm *.htm.en *.rd) $(DEST_DOC)
	cd images ; $(MAKE) $@
	cd tutorial ; $(MAKE) $@
	$(MAKE) $@ -f Makefile.rdoc
	$(MAKE) $@ -f Makefile.rdoc-dev

clean:

clean.all: clean-rd2html clean-rdoc clean-rdoc-dev

clean-rd2html:
	$(MAKE) clean.all -f Makefile.rd2html

clean-rdoc:
	$(MAKE) clean -f Makefile.rdoc

clean-rdoc-dev:
	$(MAKE) clean -f Makefile.rdoc-dev

=== gt4frt/Makefile ===
#---------------------------------------------------------------------
#     Copyright (C) GFD Dennou Club, 2005. All rights reserved.
#---------------------------------------------------------------------
#= Makefile for gt4f90io/gt4frt
#
# Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
# Version::   $Id: Makefile,v 1.4 2006/06/11 06:03:47 morikawa Exp $
# Tag Name::  $Name: gt4f90io-20060618 $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
# License::   See COPYRIGHT[link:../COPYRIGHT]
#
#vi: set ts=8 sw=4:
#
######################################################################
#
#== Settings
#
# [JAPANESE] Ƽ

INCLUDEFILE = ../Config.mk
include $(INCLUDEFILE) # Include file              (optional)
                       # [JA] 󥯥롼ɥե (Ǥ)
TARGET=gt4

TESTDIR  = ../test
TESTFILES= dc_string_test dc_url_test dc_args_test dc_hash_test \
	histinquire histtest histaxis histget histcopy
TESTS    = $(TESTFILES:%=../test/%)

# End Settings  [JA] ܤޤ
######################################################################


all: $(TARGET)frt$(gt4binsuffix) $(TARGET)config$(gt4binsuffix)

install: $(TARGET)frt$(gt4binsuffix)
	test -d $(DEST_BIN) || $(INSTALLDIR) $(DEST_BIN)
	$(INSTALLBIN) $(TARGET)frt$(gt4binsuffix) $(DEST_BIN)
	$(INSTALLBIN) $(TARGET)config$(gt4binsuffix) $(DEST_BIN)

$(TARGET)frt$(gt4binsuffix): gt4frtgen.sh Makefile ../Config.mk
	@echo "Making shell script $(TARGET)frt$(gt4binsuffix)"
	LIBNAME=$(LIBNAME) MODINSTDIR=$(DEST_INC) \
		LIBINSTDIR=$(DEST_LIB) \
		SYSLDFLAGS="$(SYSLDFLAGS)" \
		SYSLDLIBS="$(SYSLDLIBS)" \
		SYSFFLAGS="$(SYSFFLAGS)" \
		F90MODTYPE=$(F90MODTYPE) FC=$(FC) \
		LINKF="$(LINKF)" HOST_CPU="$(HOST_CPU)"\
		sh ./gt4frtgen.sh $@
	chmod +x $(TARGET)frt$(gt4binsuffix)

$(TARGET)config$(gt4binsuffix): gt4configgen.sh Makefile ../Config.mk
	@echo "Making shell script $(TARGET)config$(gt4binsuffix)"
	LIBNAME=$(LIBNAME) MODINSTDIR=$(DEST_INC) \
		LIBINSTDIR=$(DEST_LIB) \
		SYSLDFLAGS="$(SYSLDFLAGS)" \
		SYSLDLIBS="$(SYSLDLIBS)" \
		SYSFFLAGS="$(SYSFFLAGS)" \
		F90MODTYPE=$(F90MODTYPE) FC=$(FC) \
		LINKF="$(LINKF)" HOST_CPU="$(HOST_CPU)"\
		sh ./gt4configgen.sh $@
	chmod +x $(TARGET)config$(gt4binsuffix)

clean:
	-rm -f *~ $(TARGET)frt$(gt4binsuffix) $(TARGET)config$(gt4binsuffix)

test-installed: test-build test

test-installed-c: test-c

test-build: work.pcl
	@for i in $(TESTS) ; do \
	  $(DEST_BIN)/$(TARGET)frt$(gt4binsuffix) -c $$i.f90 -o $$i.o ;\
	  $(DEST_BIN)/$(TARGET)frt$(gt4binsuffix) -o $$i $$i.o ; \
	done

test:
	@if [ ! "$(CROSS_COMPILING)" = "yes" ] && [ ! "$(CROSS_COMPILING)" = "maybe" ] ; then \
	    echo "cd $(TESTDIR)" ; cd $(TESTDIR) ; \
	    echo "make $@"       ; make $@ ; \
	    echo "make clean"    ; make clean ; \
	else \
	    echo "" ;\
	    echo "   Cross compile mode will be used." ;\
	    echo "   First, change directory to $(GT4DIR)/test ." ;\
	    echo "   Secondly, submit ..." ;\
	    echo "          $(TESTFILES)," ;\
	    echo "" ;\
	    echo "   Thirdly, change directory to $(GT4DIR) ." ;\
	    echo "   Last \"make test-installed-c\"" ;\
	    echo "" ;\
	    exit 1 ;\
	fi
	@echo ""
	@echo ""
	@echo "   *** Compilation and installation are succeeded !! ***"
	@echo ""
	@echo ""

test-c:
	cd $(TESTDIR) ; make $@ || exit 1 ; make clean
	@echo ""
	@echo ""
	@echo "   *** Compilation and installation are succeeded !! ***"
	@echo ""
	@echo ""

work.pcl: Makefile ../Config.mk
	sh ../chkpcl.sh $(SYSFFLAGS) $(INCLUDE_GT)
	mv work.pcl ../test/

=== src/Makefile ===
#---------------------------------------------------------------------
#     Copyright (C) GFD Dennou Club, 2005. All rights reserved.
#---------------------------------------------------------------------
#= Makefile for gt4f90io documentation
#
# Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
# Version::   $Id: Makefile,v 1.24 2006/06/15 14:53:41 morikawa Exp $
# Tag Name::  $Name: gt4f90io-20060618 $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
######################################################################
#
#== Settings

# in Config.mk, DEST_LIB, DEST_INC is defined
include ../Config.mk

TARGET=lib$(LIBNAME).a

OBJS_A = \
      sysdepabort-$(SYSDEPABORT).o \
      sysdeparg-$(SYSDEPARG).o \
      dc_test.o \
      dcstring_base.o dcstring_list.o regex.o \
      dcstringbase_warnlim.o \
      dcstringsprintf.o \
      dcstringprintf.o dcstringfprintf.o dcstringcprintf.o \
      dc_trace.o \
      dc_string.o dc_types.o netcdf_f77.o sysdep.o \
      dc_error.o dc_url.o dc_units.o dcunits_com.o \
      dc_message.o dc_present.o \
      dc_date_types.o dcdatetime.o dcdatetimeeval.o dc_date.o \
      dc_hash.o dc_args.o \
      an_types.o an_generic.o an_file.o an_vartable.o \
      anvarputattrchar.o anvarputattrint.o anvarputattrreal.o \
      anvarattr.o anvarattrtrue.o anvarclose.o anvarcreate.o \
      anvaropen.o \
      anattrgetnum.o \
      anattrgetchar.o \
      anvardelattr.o anvarsearch.o anvarsync.o anvarcreated.o \
      anattrinquire.o anvarattrcopy.o \
      anvarinquire.o \
      anvarinquire-ia.o \
      anvaropenbydimord.o anvartostring.o \
      anattrinquire.o \
      anxtypename.o \
      anvargetnum.o \
      anvarputnum.o \
      ansearchdim.o

OBJS_D = $(OBJS_A) \
      gt_mem.o \
      gt_vartable.o \
      gtdata_types.o \
      gtdata_generic.o \
      gtdata_internal.o \
      gt_vartable.o \
      gt_map.o \
      gtvardeldim.o \
      gtvaradddim.o \
      gtvarexchdim.o \
      gtdim_name2ord.o \
      gtdatatmpnam.o \
      gtvargetattrsc.o \
      gtvarsync.o \
      gtvargetslice.o \
      gtvarcopyattr.o \
      gtvarcopyattrall.o \
      gtvarcreatecopy.o \
      gtvargetattr.o \
      gtvarattrtrue.o \
      gtvardelattr.o \
      gtvarputattrchar.o \
      gtvaraddmember.o \
      gtvaropen.o \
      gtvarclose.o \
      gtvaropenbydimord.o \
      gtvarcreate.o \
      gtvarslice.o \
      gtvarslicenext.o \
      gtvarcreate.o \
      gtvarsliceauto.o \
      gtvargetsliceall.o \
      gtvarputline.o \
      gtvarsearch.o \
      gtvarattrsearch.o \
      gtvargetnum.o \
      gtvargetpointernum.o \
      gtvarputnum.o \
      gtvarinquire.o \
      gtvarlimit.o \
      gtvarlimitbinary.o \
      gtvarcreated.o \
      gtvarequivalent.o \
      gt4f90io.o \
      gt4_history.o \
      historyget.o \
      gt4_historyauto.o \
      hscrea.o hsavar.o hsclse.o \
      hsaatc.o hsaatr.o hsaatd.o hsaati.o \
      hsp1r.o hsp2d.o hsp3d.o hsp1d.o hsp2r.o hsp3r.o 


OBJS = $(OBJS_D)

RB2F90 = sysdepabort-abort.f90 \
	sysdepabort-exit.f90 sysdepabort-stop.f90 \
	sysdepabort-setrcd.f90 sysdepabort-errtra-setrcd.f90 \
	sysdeparg-common.f90 sysdeparg-hitachi.f90 \
	dc_test.f90 dc_string.f90 \
	anattrgetnum.f90 anvargetnum.f90 gtdata_generic.f90 \
	gtvargetpointernum.f90 gtvargetnum.f90 anvarputnum.f90 \
	gtvarputnum.f90 dc_present.f90 \
	gt4_history.f90 historyget.f90


# End Settings
######################################################################

######################################################################
#== Rules
#
all: $(TARGET)

install: $(TARGET)
	test -d $(DEST_LIB) || $(INSTALLDIR) $(DEST_LIB)
	test -d $(DEST_INC) || $(INSTALLDIR) $(DEST_INC)
	$(INSTALL) $(TARGET) $(DEST_LIB)
	$(INSTALL) $(MODS) $(MODINCS) $(DEST_INC)
	if [ X$(F90MODTYPE) = X"intel.d" ]; then \
	    $(INSTALL) work.pc $(DEST_INC)/work.pc ;\
	fi

doc: $(HTML)

clean-doc:
	$(RM) $(HTML)

$(OBJS):

$(OBJS): work.pcl

work.pcl: Makefile ../Config.mk
	sh ../chkpcl.sh $(SYSFFLAGS)

an: $(OBJS_A)
	$(AR) $(ARFLAGS) $(TARGET) $(OBJS_A)
	$(RANLIB) $(TARGET)

gtdata: $(OBJS_D)
	$(AR) $(ARFLAGS) $(TARGET) $(OBJS_D)
	$(RANLIB) $(TARGET)

$(TARGET): $(RB2F90) $(OBJS)
	$(AR) $(ARFLAGS) $@ $(OBJS)
	$(RANLIB) $@

#
#=== Files generated with ruby script
#
sysdepabort-abort.f90: sysdepabort.rb2f90
	! which $(RUBY) > /dev/null 2>&1 && touch $@  || \
	$(RUBY) $< --aborttype=ABORT > $@

sysdepabort-exit.f90: sysdepabort.rb2f90
	! which $(RUBY) > /dev/null 2>&1 && touch $@  || \
	$(RUBY) $< --aborttype=EXIT > $@

sysdepabort-stop.f90: sysdepabort.rb2f90
	! which $(RUBY) > /dev/null 2>&1 && touch $@  || \
	$(RUBY) $< --aborttype=STOP > $@

sysdepabort-setrcd.f90: sysdepabort.rb2f90
	! which $(RUBY) > /dev/null 2>&1 && touch $@  || \
	$(RUBY) $< --aborttype=SETRCD > $@

sysdepabort-errtra-setrcd.f90: sysdepabort.rb2f90
	! which $(RUBY) > /dev/null 2>&1 && touch $@  || \
	$(RUBY) $< --aborttype=ERRTRA-SETRCD > $@

sysdeparg-common.f90: sysdeparg.rb2f90
	! which $(RUBY) > /dev/null 2>&1 && touch $@  || \
	$(RUBY) $< --argtype=COMMON > $@

sysdeparg-hitachi.f90: sysdeparg.rb2f90
	! which $(RUBY) > /dev/null 2>&1 && touch $@  || \
	$(RUBY) $< --argtype=HITACHI > $@

dc_test.f90: dc_test.rb2f90
	! which $(RUBY) > /dev/null 2>&1 && touch $@  || \
	$(RUBY) $< --max_dim=$(MAXDIM) > $@

dc_string.f90: dc_string.rb2f90
	! which $(RUBY) > /dev/null 2>&1 && touch $@  || \
	$(RUBY) $< > $@

anattrgetnum.f90: anattrgetnum.rb2f90
	! which $(RUBY) > /dev/null 2>&1 && touch $@  || \
	$(RUBY) $< > $@

anvargetnum.f90: anvargetnum.rb2f90
	! which $(RUBY) > /dev/null 2>&1 && touch $@  || \
	$(RUBY) $< > $@

gtdata_generic.f90: gtdata_generic.rb2f90
	! which $(RUBY) > /dev/null 2>&1 && touch $@  || \
	$(RUBY) $< --gtvarget_dim=$(MAXDIM) --gtvarput_dim=$(MAXDIM) > $@

gtvargetpointernum.f90: gtvargetpointernum.rb2f90
	! which $(RUBY) > /dev/null 2>&1 && touch $@  || \
	$(RUBY) $< --gtvarget_dim=$(MAXDIM) > $@

gtvargetnum.f90: gtvargetnum.rb2f90
	! which $(RUBY) > /dev/null 2>&1 && touch $@  || \
	$(RUBY) $< > $@

anvarputnum.f90: anvarputnum.rb2f90
	! which $(RUBY) > /dev/null 2>&1 && touch $@  || \
	$(RUBY) $< > $@

gtvarputnum.f90: gtvarputnum.rb2f90
	! which $(RUBY) > /dev/null 2>&1 && touch $@  || \
	$(RUBY) $< --gtvarput_dim=$(MAXDIM) > $@

dc_present.f90: dc_present.rb2f90
	! which $(RUBY) > /dev/null 2>&1 && touch $@  || \
	$(RUBY) $< > $@

historyget.f90: historyget.rb2f90
	! which $(RUBY) > /dev/null 2>&1 && touch $@  || \
	$(RUBY) $< --histget_dim=$(MAXDIM) > $@


gt4_history.f90: gt4_history.rb2f90
	! which $(RUBY) > /dev/null 2>&1 && touch $@  || \
	$(RUBY) $< --histput_dim=$(MAXDIM) --histget_dim=$(MAXDIM) > $@

clean:
	-$(RM) $(MODS) *.o $(TARGET) work.pc*

clean.rb2f90:
	-$(RM) $(RB2F90)

depend: f90depend.pl Makefile
	@if which $(PERL) > /dev/null 2>&1 ; then \
	    echo $(PERL) f90depend.pl -Xdcl.o *.f90 > depend ;\
	    $(PERL) f90depend.pl -Xdcl.o *.f90 > depend ;\
	fi

include depend

tags: $(OBJS:.o=.f90)
	@if which $(PERL) > /dev/null 2>&1 ; then \
	    echo $(PERL) f90tags $(OBJS:.o=.f90) ;\
	    $(PERL) f90tags $(OBJS:.o=.f90) ;\
	fi

######################################################################
#== Suffixes
#

#.SUFFIXES:

=== test/Makefile ===
#---------------------------------------------------------------------
#     Copyright (C) GFD Dennou Club, 2005. All rights reserved.
#---------------------------------------------------------------------
#= Makefile for gt4f90io/test
#
# Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
# Version::   $Id: Makefile,v 1.14 2006/06/16 12:39:27 morikawa Exp $
# Tag Name::  $Name: gt4f90io-20060618 $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
######################################################################
#
#== Settings

INCLUDEFILE = ../Config.mk
include $(INCLUDEFILE)

INCLUDE_GT=-I../src     # Intel Fortran, Fujitsu Fortran
#INCLUDE_GT=-M../src     # SunStudio, Fujitsu Fortran
LIBGT4=../src/lib$(LIBNAME).a

TARGETS=histtest histaxis histget histcopy #histauto

TARGETS_DC=dc_string_test dc_url_test dc_args_test dc_hash_test \
	histinquire

CLEANED=*.o $(MODS) $(TARGETS_DC) $(TARGETS) xdifs.log work.pc* *.nc \
	xhisttest/xhisttest?.nc xhisttest/xhisttest*.cdl \
	xhistaxis/xhistaxis?.nc xhistaxis/xhistaxis*.cdl \
	xhistget/xhistget?.nc xhistget/xhistgetdif?.cdl \
	xhistcopy/xhistcopy?.nc xhistcopy/xhistcopy*.cdl \
	xhistauto/tmp.nc xhistauto/tmp?.nc xhistauto/tmp?_??.nc \
	xhistauto/tmp?_????.nc

# End Settings
######################################################################

######################################################################
#== Rules
#

%: %.sh   # clear an implicit rule

all: $(LIBGT4) $(TARGETS_DC) $(TARGETS)

work.pcl: Makefile ../Config.mk
	sh ../chkpcl.sh $(SYSFFLAGS) $(INCLUDE_GT)

$(LIBGT4):
	$(MAKE) -C ../src

clean:
	@if [ ! X"$(wildcard $(CLEANED))" = X"" ]; then \
		echo $(RM) $(wildcard $(CLEANED)) ;\
		$(RM) $(wildcard $(CLEANED)) ;\
	fi

test: all
	@test -n "$(NCDUMP)" || \
	    eval 'echo ; echo "  Error: ncdump: command not found."; echo ; exit 1'
	@if [ ! "$(CROSS_COMPILING)" = "yes" ] && [ ! "$(CROSS_COMPILING)" = "maybe" ] ; then \
	    for i in $(TARGETS_DC) $(TARGETS) ; do  \
	      CROSS_COMPILING=$(CROSS_COMPILING) NCDUMP=$(NCDUMP) \
		 sh $$i.sh || \
	         eval 'echo "  Error: stderr is output to xdifs.log ." ; exit 1';\
	    done ;\
	else \
	    echo "" ;\
	    echo "   Cross compile mode will be used." ;\
	    echo "   After submitting ..." ;\
	    echo "          $(TARGETS_DC) $(TARGETS)," ;\
	    echo "" ;\
	    echo "   do \"make test-c\"" ;\
	    echo "" ;\
	    exit 1 ;\
	fi
	@echo ""
	@echo "   **** All Tests were Successful ****"
	@echo ""

test-f: all
	@test -n "$(NCDUMP)" || \
	    eval 'echo ; echo "  Error: ncdump: command not found."; echo ; exit 1'
	-@for i in $(TARGETS_DC) $(TARGETS) ; do  \
	  CROSS_COMPILING=$(CROSS_COMPILING) NCDUMP=$(NCDUMP) \
		 sh $$i.sh || \
	     echo "  $$i.sh: Error (continue mandatorily)";\
	done

test-c: all
	@test -n "$(NCDUMP)" || \
	    eval 'echo ; echo "  Error: ncdump: command not found."; echo ; exit 1'
	@for i in $(TARGETS) ; do  \
	  CROSS_COMPILING=$(CROSS_COMPILING) sh $$i.sh || exit 1; \
	done
	@echo ""
	@echo "   **** All Tests were Successful ****"
	@echo ""

=== doc/tutorial/Makefile ===
#---------------------------------------------------------------------
#     Copyright (C) GFD Dennou Club, 2005. All rights reserved.
#---------------------------------------------------------------------
#= Makefile for gt4f90io documentation
#
# Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
# Version::   $Id: Makefile,v 1.2 2006/01/21 12:17:24 morikawa Exp $
# Tag Name::  $Name: gt4f90io-20060618 $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
# License::   See COPYRIGHT[link:../COPYRIGHT]
#
######################################################################
#
#== Settings

INCLUDEFILE = ../../Config.mk
include $(INCLUDEFILE)

# End Settings
######################################################################

GT4FRT=$(DEST_BIN)/gt4frt$(gt4binsuffix)
ISPDIR=-L/usr/lib
ISPLIB=-lisp-ffc5

######################################################################
#== Set variables
#

all:

gt4frt: gt4frtcheck
	$(GT4FRT) diffusion_1.f90
	./a.out
	$(GT4FRT) diffusion_2.f90
	./a.out
	$(GT4FRT) -c c2pack.f90 $(ISPDIR) $(ISPLIB)
	$(GT4FRT) benard_1.f90 c2pack.o $(ISPDIR) $(ISPLIB)
	./a.out
	$(GT4FRT) benard_2.f90 c2pack.o $(ISPDIR) $(ISPLIB)
	./a.out
	$(GT4FRT) diff77.f
	./a.out

gt4frtcheck:
	@if ! which $(GT4FRT) > /dev/null 2>&1 ; then \
	    echo "" ;\
	    echo "   Error: \"$(GT4FRT)\" is not installed yet." ;\
	    echo "" ;\
	    exit 1 ;\
	fi

rd2html:
	$(MAKE) -f Makefile.rd2html

install:
	test -d $(DEST_DOC)/tutorial || $(INSTALLDIR) $(DEST_DOC)/tutorial
	$(INSTALL) $(wildcard *.htm *.htm.en *.rd *.f90 *.f *.nc) $(DEST_DOC)/tutorial

clean:
	-$(RM) a.out *.o *.mod

clean.nc:
	-$(RM) *.nc

clean.all: clean-rd2html

clean-rd2html:
	$(MAKE) clean.all -f Makefile.rd2html

=== debian/changelog ===
gt4f90io-g95 (20060618+20060616) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 19 Jun 2006 15:24:11 +0900

Local variables:
mode: change-log
End:

=== debian/control ===
Source: gt4f90io-g95
Section: math
Priority: optional
Maintainer: Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: gt4f90io-g95
Architecture: i386
Depends: g95, netcdf-g95
Suggests:
Recommends:
Description: gt4f90io: Fortran90 netCDF I/O library with gtool4 convention
 built with GNU Fortran 95 compiler
 gt4f90io is a Fortran90 library software to read and write netCDF file
 with gtool4 convention, which is developed by GFD Dennou Club gtool4 project.
 Please visit gtool4 project web site, http://www.gfd-dennou.org/library/gtool4.

## gt4f90io-g95 20060619+20060625

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
 # Version::   $Id: Makefile,v 1.9 2006/06/11 06:03:45 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060618 $
+# Tag Name::  $Name: gt4f90io-20060619 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:COPYRIGHT]
 #

=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.8 2006/01/21 12:17:20 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060618 $
+# Tag Name::  $Name: gt4f90io-20060619 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== gt4frt/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
 # Version::   $Id: Makefile,v 1.4 2006/06/11 06:03:47 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060618 $
+# Tag Name::  $Name: gt4f90io-20060619 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== src/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
 # Version::   $Id: Makefile,v 1.24 2006/06/15 14:53:41 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060618 $
+# Tag Name::  $Name: gt4f90io-20060619 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #

=== test/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
 # Version::   $Id: Makefile,v 1.14 2006/06/16 12:39:27 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060618 $
+# Tag Name::  $Name: gt4f90io-20060619 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #

=== doc/tutorial/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.2 2006/01/21 12:17:24 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060618 $
+# Tag Name::  $Name: gt4f90io-20060619 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== debian/changelog ===
gt4f90io-g95 (20060619+20060625) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 26 Jun 2006 03:45:05 +0900

gt4f90io-g95 (20060619+20060623) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sat, 24 Jun 2006 03:45:05 +0900

gt4f90io-g95 (20060619+20060622) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri, 23 Jun 2006 03:45:04 +0900

gt4f90io-g95 (20060619+20060616) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 19 Jun 2006 16:15:25 +0900

## gt4f90io-g95 20060627+20060717

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
 # Version::   $Id: Makefile,v 1.9 2006/06/11 06:03:45 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060619 $
+# Tag Name::  $Name: gt4f90io-20060627 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:COPYRIGHT]
 #

=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.8 2006/01/21 12:17:20 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060619 $
+# Tag Name::  $Name: gt4f90io-20060627 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== gt4frt/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
 # Version::   $Id: Makefile,v 1.4 2006/06/11 06:03:47 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060619 $
+# Tag Name::  $Name: gt4f90io-20060627 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== src/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
 # Version::   $Id: Makefile,v 1.24 2006/06/15 14:53:41 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060619 $
+# Tag Name::  $Name: gt4f90io-20060627 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #

=== test/Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 #= Makefile for gt4f90io/test
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
-# Version::   $Id: Makefile,v 1.14 2006/06/16 12:39:27 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060619 $
+# Version::   $Id: Makefile,v 1.15 2006/06/27 08:06:40 morikawa Exp $
+# Tag Name::  $Name: gt4f90io-20060627 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #
@@ -62,6 +62,7 @@
 	@if [ ! "$(CROSS_COMPILING)" = "yes" ] && [ ! "$(CROSS_COMPILING)" = "maybe" ] ; then \
 	    for i in $(TARGETS_DC) $(TARGETS) ; do  \
 	      CROSS_COMPILING=$(CROSS_COMPILING) NCDUMP=$(NCDUMP) \
+	      MKDIR=$(MKDIR) \
 		 sh $$i.sh || \
 	         eval 'echo "  Error: stderr is output to xdifs.log ." ; exit 1';\
 	    done ;\
@@ -84,6 +85,7 @@
 	    eval 'echo ; echo "  Error: ncdump: command not found."; echo ; exit 1'
 	-@for i in $(TARGETS_DC) $(TARGETS) ; do  \
 	  CROSS_COMPILING=$(CROSS_COMPILING) NCDUMP=$(NCDUMP) \
+	      MKDIR=$(MKDIR) \
 		 sh $$i.sh || \
 	     echo "  $$i.sh: Error (continue mandatorily)";\
 	done

=== doc/tutorial/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.2 2006/01/21 12:17:24 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060619 $
+# Tag Name::  $Name: gt4f90io-20060627 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== debian/changelog ===
gt4f90io-g95 (20060627+20060717) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Tue, 18 Jul 2006 03:45:06 +0900

gt4f90io-g95 (20060627+20060711) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Wed, 12 Jul 2006 03:45:05 +0900

gt4f90io-g95 (20060627+20060710) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Tue, 11 Jul 2006 03:45:05 +0900

gt4f90io-g95 (20060627+20060705) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Thu,  6 Jul 2006 03:45:04 +0900

gt4f90io-g95 (20060627+20060702) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  3 Jul 2006 03:45:04 +0900

gt4f90io-g95 (20060627+20060630) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  2 Jul 2006 03:45:08 +0900

gt4f90io-g95 (20060627+20060628) unstable; urgency=low

  * New upstream release

 -- Morikawa Yasuhiro <morikawa@studenno.kugi.kyoto-u.ac.jp>  Thu, 29 Jun 2006 12:12:22 +0900

gt4f90io-g95 (20060627+20060626) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Wed, 28 Jun 2006 03:45:05 +0900

## gt4f90io-g95 20060719-1+20060721

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
 # Version::   $Id: Makefile,v 1.9 2006/06/11 06:03:45 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060627 $
+# Tag Name::  $Name: gt4f90io-20060719-1 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:COPYRIGHT]
 #

=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.8 2006/01/21 12:17:20 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060627 $
+# Tag Name::  $Name: gt4f90io-20060719-1 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== gt4frt/Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 #= Makefile for gt4f90io/gt4frt
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
-# Version::   $Id: Makefile,v 1.4 2006/06/11 06:03:47 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060627 $
+# Version::   $Id: Makefile,v 1.5 2006/07/17 18:14:33 morikawa Exp $
+# Tag Name::  $Name: gt4f90io-20060719-1 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #
@@ -45,7 +45,9 @@
 		SYSLDFLAGS="$(SYSLDFLAGS)" \
 		SYSLDLIBS="$(SYSLDLIBS)" \
 		SYSFFLAGS="$(SYSFFLAGS)" \
-		F90MODTYPE=$(F90MODTYPE) FC=$(FC) \
+		F90MODTYPE=$(F90MODTYPE) \
+		MODPATHFLAG=$(MODPATHFLAG) \
+		FC=$(FC) \
 		LINKF="$(LINKF)" HOST_CPU="$(HOST_CPU)"\
 		sh ./gt4frtgen.sh $@
 	chmod +x $(TARGET)frt$(gt4binsuffix)
@@ -57,7 +59,9 @@
 		SYSLDFLAGS="$(SYSLDFLAGS)" \
 		SYSLDLIBS="$(SYSLDLIBS)" \
 		SYSFFLAGS="$(SYSFFLAGS)" \
-		F90MODTYPE=$(F90MODTYPE) FC=$(FC) \
+		F90MODTYPE=$(F90MODTYPE) \
+		MODPATHFLAG=$(MODPATHFLAG) \
+		FC=$(FC) \
 		LINKF="$(LINKF)" HOST_CPU="$(HOST_CPU)"\
 		sh ./gt4configgen.sh $@
 	chmod +x $(TARGET)config$(gt4binsuffix)

=== src/Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 #= Makefile for gt4f90io documentation
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
-# Version::   $Id: Makefile,v 1.24 2006/06/15 14:53:41 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060627 $
+# Version::   $Id: Makefile,v 1.26 2006/07/19 09:58:10 morikawa Exp $
+# Tag Name::  $Name: gt4f90io-20060719-1 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #
@@ -127,6 +127,7 @@
 	test -d $(DEST_LIB) || $(INSTALLDIR) $(DEST_LIB)
 	test -d $(DEST_INC) || $(INSTALLDIR) $(DEST_INC)
 	$(INSTALL) $(TARGET) $(DEST_LIB)
+	$(RANLIB) $(DEST_LIB)/$(TARGET)
 	$(INSTALL) $(MODS) $(MODINCS) $(DEST_INC)
 	if [ X$(F90MODTYPE) = X"intel.d" ]; then \
 	    $(INSTALL) work.pc $(DEST_INC)/work.pc ;\
@@ -244,7 +245,7 @@
 
 depend: f90depend.pl Makefile
 	@if which $(PERL) > /dev/null 2>&1 ; then \
-	    echo $(PERL) f90depend.pl -Xdcl.o *.f90 > depend ;\
+	    echo "$(PERL) f90depend.pl -Xdcl.o *.f90 > depend" ;\
 	    $(PERL) f90depend.pl -Xdcl.o *.f90 > depend ;\
 	fi

=== test/Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 #= Makefile for gt4f90io/test
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
-# Version::   $Id: Makefile,v 1.15 2006/06/27 08:06:40 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060627 $
+# Version::   $Id: Makefile,v 1.17 2006/07/17 18:14:34 morikawa Exp $
+# Tag Name::  $Name: gt4f90io-20060719-1 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #
@@ -16,8 +16,8 @@
 INCLUDEFILE = ../Config.mk
 include $(INCLUDEFILE)
 
-INCLUDE_GT=-I../src     # Intel Fortran, Fujitsu Fortran
-#INCLUDE_GT=-M../src     # SunStudio, Fujitsu Fortran
+INCLUDE_GT=$(MODPATHFLAG)../src
+#INCLUDE_GT=-M../src     # SunStudio
 LIBGT4=../src/lib$(LIBNAME).a
 
 TARGETS=histtest histaxis histget histcopy #histauto
@@ -25,11 +25,12 @@
 TARGETS_DC=dc_string_test dc_url_test dc_args_test dc_hash_test \
 	histinquire
 
-CLEANED=*.o $(MODS) $(TARGETS_DC) $(TARGETS) xdifs.log work.pc* *.nc \
+CLEANED=*.o $(MODS) $(TARGETS_DC) $(TARGETS) xdifs.log work.pc* \
 	xhisttest/xhisttest?.nc xhisttest/xhisttest*.cdl \
 	xhistaxis/xhistaxis?.nc xhistaxis/xhistaxis*.cdl \
 	xhistget/xhistget?.nc xhistget/xhistgetdif?.cdl \
 	xhistcopy/xhistcopy?.nc xhistcopy/xhistcopy*.cdl \
+	xhistinquire?.nc \
 	xhistauto/tmp.nc xhistauto/tmp?.nc xhistauto/tmp?_??.nc \
 	xhistauto/tmp?_????.nc

=== doc/tutorial/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.2 2006/01/21 12:17:24 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060627 $
+# Tag Name::  $Name: gt4f90io-20060719-1 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== debian/changelog ===
gt4f90io-g95 (20060719-1+20060721) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 23 Jul 2006 13:28:37 +0900

gt4f90io-g95 (20060719-1+20060717) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Thu, 20 Jul 2006 12:05:07 +0900

## gt4f90io-g95 20060725+20060816

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
 # Version::   $Id: Makefile,v 1.9 2006/06/11 06:03:45 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060719-1 $
+# Tag Name::  $Name: gt4f90io-20060725 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:COPYRIGHT]
 #

=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.8 2006/01/21 12:17:20 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060719-1 $
+# Tag Name::  $Name: gt4f90io-20060725 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== gt4frt/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
 # Version::   $Id: Makefile,v 1.5 2006/07/17 18:14:33 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060719-1 $
+# Tag Name::  $Name: gt4f90io-20060725 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== src/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
 # Version::   $Id: Makefile,v 1.26 2006/07/19 09:58:10 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060719-1 $
+# Tag Name::  $Name: gt4f90io-20060725 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #

=== test/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
 # Version::   $Id: Makefile,v 1.17 2006/07/17 18:14:34 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060719-1 $
+# Tag Name::  $Name: gt4f90io-20060725 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #

=== doc/tutorial/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.2 2006/01/21 12:17:24 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060719-1 $
+# Tag Name::  $Name: gt4f90io-20060725 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== debian/changelog ===
gt4f90io-g95 (20060725+20060816) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri, 18 Aug 2006 03:45:05 +0900

gt4f90io-g95 (20060725+20060815) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Thu, 17 Aug 2006 03:45:05 +0900

gt4f90io-g95 (20060725+20060809) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri, 11 Aug 2006 03:45:04 +0900

gt4f90io-g95 (20060725+20060807) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Wed,  9 Aug 2006 03:45:04 +0900

gt4f90io-g95 (20060725+20060802) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri,  4 Aug 2006 03:45:05 +0900

gt4f90io-g95 (20060725+20060801) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Thu,  3 Aug 2006 03:45:05 +0900

gt4f90io-g95 (20060725+20060727) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri, 28 Jul 2006 03:45:05 +0900

gt4f90io-g95 (20060725+20060726) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Thu, 27 Jul 2006 03:45:04 +0900

gt4f90io-g95 (20060725+20060724) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Wed, 26 Jul 2006 03:45:05 +0900

## gt4f90io-g95 20060818+20060824

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
 # Version::   $Id: Makefile,v 1.9 2006/06/11 06:03:45 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060725 $
+# Tag Name::  $Name: gt4f90io-20060818 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:COPYRIGHT]
 #

=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.8 2006/01/21 12:17:20 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060725 $
+# Tag Name::  $Name: gt4f90io-20060818 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== gt4frt/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
 # Version::   $Id: Makefile,v 1.5 2006/07/17 18:14:33 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060725 $
+# Tag Name::  $Name: gt4f90io-20060818 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== src/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
 # Version::   $Id: Makefile,v 1.26 2006/07/19 09:58:10 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060725 $
+# Tag Name::  $Name: gt4f90io-20060818 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #

=== test/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
 # Version::   $Id: Makefile,v 1.17 2006/07/17 18:14:34 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060725 $
+# Tag Name::  $Name: gt4f90io-20060818 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #

=== doc/tutorial/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.2 2006/01/21 12:17:24 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060725 $
+# Tag Name::  $Name: gt4f90io-20060818 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #

=== debian/changelog ===
gt4f90io-g95 (20060818+20060824) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sat, 26 Aug 2006 03:45:04 +0900

gt4f90io-g95 (20060818+20060823) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri, 25 Aug 2006 03:45:05 +0900

gt4f90io-g95 (20060818+20060822) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Wed, 23 Aug 2006 03:45:05 +0900

gt4f90io-g95 (20060818+20060820) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Tue, 22 Aug 2006 03:45:05 +0900

gt4f90io-g95 (20060818+20060816) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sat, 19 Aug 2006 03:45:06 +0900

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
 Package: gt4f90io-g95
 Architecture: i386
 Depends: g95, netcdf-g95
-Suggests:
+Suggests: netcdf-bin
 Recommends:
 Description: gt4f90io: Fortran90 netCDF I/O library with gtool4 convention
- built with GNU Fortran 95 compiler
+ built with G95 Fortran compiler
  gt4f90io is a Fortran90 library software to read and write netCDF file
  with gtool4 convention, which is developed by GFD Dennou Club gtool4 project.
  Please visit gtool4 project web site, http://www.gfd-dennou.org/library/gtool4.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Select EXT and FC variables before building the package 
#
#    for Fujitsu Fortran Compiler
export DEB_FC=/usr/bin/g95
export DEB_NETCDFLIB=/usr/lib/libnetcdf-g95.a
export EXT=g95
export FFLAGS=
ifndef NETCDFLIB
    NETCDFLIB=$(DEB_NETCDFLIB)
endif
ifndef FC
    FC=$(DEB_FC)
endif

#    for Intel Fortran Compiler
#export EXT=ffc5
#export FC=frt
#export FFLAGS="-Am -Kfast"
#export EXT=ifc
#export EXT=ifc6
#export EXT=ifc7
#export EXT=ifc7.1
#export EXT=ifc8
#export FC=ifc
#export FC=ifort
#export FFLAGS="-O -Qoption,ld,-Bdynamic -w"

package=gt4f90io-$(EXT)


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --prefix=/usr/lib/gt4f90io-$(EXT) --with-netcdf=$(NETCDFLIB)


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	cp Config.mk Config.mk.tmp0
	sed "s|$(FC)|$(DEB_FC)|" Config.mk > Config.mk.tmp1
	sed "s|`dirname $(NETCDFLIB)`|`dirname $(DEB_NETCDFLIB)`|" Config.mk.tmp1 > Config.mk.tmp2
	sed "s|`basename $(NETCDFLIB)`|`basename $(DEB_NETCDFLIB)`|" Config.mk.tmp2 > Config.mk.tmp3
	cp Config.mk.tmp3 Config.mk
	rm Config.mk.tmp?
	cd gt4frt ; $(MAKE) clean all
	#/usr/bin/docbook-to-man debian/gt4f90io.sgml > gt4f90io.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
#	$(MAKE) distclean
#	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/gt4f90io.
	$(MAKE) install prefix=$(CURDIR)/debian/$(package)/usr/lib/$(package)
	$(MAKE) install-doc prefix=$(CURDIR)/debian/$(package)/usr/share/doc/$(package)
	dh_link usr/lib/$(package)/bin/gt4frt    usr/bin/gt4frt.$(EXT) \
		usr/lib/$(package)/bin/gt4config usr/bin/gt4config.$(EXT)


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
